Returns an array containing all results for this cursor

- « MongoDB\Driver\CursorInterface::setTypeMap

- MongoDB\Driver\Server »

- PHP Manual
- MongoDB\Driver\CursorInterface
- Returns an array containing all results for this cursor

# MongoDB\Driver\CursorInterface::toArray

(mongodb >=1.6.0)

MongoDB\Driver\CursorInterface::toArray — Returns an array containing all results for this cursor

### Description

abstract public MongoDB\Driver\CursorInterface::toArray(): array

Iterates the cursor and returns its results in an array. MongoDB\Driver\CursorInterface::setTypeMap() may be used to control how documents are unserialized into PHP values.

### Parameters

This function has no parameters.

### Return Values

Returns an array containing all results for this cursor.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Cursor::toArray() - Returns an array containing all results for this cursor
- MongoDB\Driver\CursorInterface::setTypeMap() - Sets a type map to use for BSON unserialization